﻿.empori-header {
  width: 100%;
  position: sticky;
  z-index: 11;
  top: 0;
  background-color: var(--empori-primary-alt-color);

  > .empori-custom-menu-html {
    @media (max-width: 800px) {
      display: none;
    }
  }
}

.empori-header-menu-toggler.empori-header-icon {
  display: none;
  font-size: 1.2em;

  @media (max-width: 800px) {
    display: block;
  }
}

.empori-header-nav {
  margin: 0 0 0 auto;

  @media (max-width: 800px) {
    height: 0;
    overflow: hidden;
    position: absolute;
    top: 50px;
    background-color: #fff;
    width: 100%;
  }

  > .empori-custom-menu-html {
    display: flex;
    padding: 10px 20px;
    flex: 0 0 100%;
    justify-content: right;

    @media (min-width: 800px) {
      display: none;
    }
  }
}

.empori-header-nav-link {
  height: 50px;
  line-height: 50px;
  padding: 0 10px;
  text-decoration: none;
  font-weight: bold;
  color: #fff;
  font-size: .9em;
  position: relative;

  @media (max-width: 960px) {
    padding: 0 5px;
  }

  @media (max-width: 800px) {
    padding: 0 20px;
  }
}

body:not(.darkMode) .empori-header.readable-header {
  background-color: #fff;

  .empori-header-logo img {
    filter: unset;
  }

  .empori-header-submenu {
    background-color: #fff;
    border-radius: 10px;
  }

  .empori-header-nav-link, .empori-submenu-item {
    color: #000;
  }
}

.empori-nav-icon-container {
  width: 25px;
  text-align: center;

  @media (max-width: 800px) {
    display: none;
  }

  i {
    color: inherit;
  }
}

.empori-header:not(.triggered) .empori-header-submenu {
  background-color: var(--empori-primary-alt-color);
}

.empori-redundant-pages,
.empori-redundant-pages-triggerer {
  display: none;
}

.empori-redundant-pages-triggerer {
  @media (min-width: 800px) {
    display: block;
  }
}

.empori-header-icon {
    i {
        color: var(--empori-primary-color);
    }
}